body p {
  margin: 0;
}

.mob p {
  margin: 0;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0 1000px #fff inset !important;
  transition: -webkit-box-shadow 0s;
}
input {
  outline: none !important;
}

.e-cart__column.e-cart__column-start {
  width: 740px;
}
.e-shop-table.e-cart-section {
  width: 100%;
}

.button-to-order-in-cart,
.text-date-footer {
  display: flex !important;
}

.slider-cart-info .elementor-widget-container {
  overflow: hidden;
}

.elementor-widget-woocommerce-cart .wrap-cart,
.elementor-widget-woocommerce-cart .wrap-cart .wrap-to-mobile {
  display: flex;
  flex-direction: row;
  gap: 0 20px;
  align-items: center;
}
.elementor-widget-woocommerce-cart .wrap-cart .product-thumbnail img {
  width: 160px;
  height: 74px;
  border-radius: 1000px;
  border: 1px solid #ececec;
  object-fit: cover;
}
.elementor-widget-woocommerce-cart .wrap-cart .product-thumbnail a {
  display: flex;
}
.elementor-widget-woocommerce-cart .wrap-cart .product-name a {
  font-family: "Manrope", sans-serif;
  font-weight: 500;
  font-size: 14px;
  line-height: 140%;
  letter-spacing: -0.01em;
  color: #171717;
  display: flex;
}
.elementor-widget-woocommerce-cart .wrap-cart .product-name {
  width: 250px;
}
.elementor-widget-woocommerce-cart .wrap-cart .cart-quantity {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0 8px;
  width: 70px;
}
.elementor-widget-woocommerce-cart .wrap-cart .cart-quantity .qty-value {
  font-family: "Manrope", sans-serif;
  font-weight: 700;
  font-size: 14px;
  line-height: 140%;
  letter-spacing: -0.01em;
  text-align: right;
  color: #171717;
}
.elementor-widget-woocommerce-cart .wrap-cart .cart-quantity > div {
  display: flex;
  cursor: pointer;
}
.elementor-widget-woocommerce-cart .wrap-cart .cart-quantity svg {
  width: 16px;
  height: 16px;
}
.elementor-widget-woocommerce-cart .wrap-cart .product-price {
  font-family: "Manrope", sans-serif;
  font-weight: 700;
  font-size: 14px !important;
  line-height: 140%;
  letter-spacing: -0.01em;
  text-align: right;
  color: #171717;
  width: 70px;
  text-align: start;
}
.elementor-widget-woocommerce-cart .wrap-cart .wrap-managemt {
  display: flex;
  flex-direction: row;
  gap: 0 4px;
  width: 70px;
  justify-content: end;
}
.wrap-managemt .product-remove a {
  height: auto;
}

.disp-non {
  display: none;
}
.last-line {
  width: 100%;
  margin-top: 16px;
  border-bottom: 1px solid #171717;
  opacity: 0.05;
}
.e-shop-table.e-cart-section {
  display: flex;
  flex-direction: column;
  gap: 16px 0;
}
.elementor-widget-woocommerce-cart .wrap-cart .wrap-managemt svg rect {
  transition: fill 0.2s ease-out;
}

.cart-to-back {
  cursor: pointer;
}

.woocommerce .e-cart__container {
  display: flex !important;
  flex-direction: row !important;
  flex-wrap: nowrap !important;
  gap: 0 20px !important;
}
.woocommerce .e-cart__container > .open-chat {
  display: none;
}
.e-cart__column.e-cart__column-start {
  flex-shrink: 0;
}
.e-cart-totals.e-cart-section {
  margin: 0 !important;
}

#cart_totals .order-total {
  display: flex;
  justify-content: space-between;

  font-family: "Manrope", sans-serif;
  font-weight: 700;
  font-size: 24px;
  line-height: 120%;
  letter-spacing: -0.02em;
  color: #171717;
}

#cart_totals .wc-proceed-to-checkout {
  padding: 0;
  padding-top: 16px;
  display: flex;
  flex-direction: column;
  gap: 8px 0;
  align-items: center;
}
#cart_totals .wc-proceed-to-checkout a {
  border-radius: 8px;
  background-color: #171717;
  transition: background-color 0.2s ease-out;

  font-family: "Manrope", sans-serif;
  font-weight: 600;
  font-size: 16px;
  line-height: 100%;
  letter-spacing: -0.02em;
  text-align: center;
  color: #fff;
}
#cart_totals .wc-proceed-to-checkout p {
  font-family: "Manrope", sans-serif;
  font-weight: 500;
  font-size: 14px;
  line-height: 140%;
  letter-spacing: -0.01em;
  color: #171717;
}
#cart_totals .wc-proceed-to-checkout p span {
  color: #ab4cf7;
}
#cart_totals .line-checkout {
  margin-top: 16px;
  border-bottom: 1px solid #171717;
  opacity: 0.1;
}
#cart_totals .checkout-promo-inf {
  display: flex;
  flex-direction: column;
  margin-top: 16px;
  transition: opacity 0.2s ease-out;
}

#cart_totals .checkout-promo-inf p {
  font-family: "Manrope", sans-serif;
  font-weight: 500;
  font-size: 14px;
  line-height: 140%;
  letter-spacing: -0.01em;
  color: #949494;
}
#cart_totals .checkout-promo-inf p:first-of-type {
  font-weight: 700;
  color: #171717;
  margin-bottom: 4px;
}
#cart_totals .checkout-promo-inf p a {
  color: #ab4cf7;
}

.checkout-pay-inf {
  display: flex;
  flex-direction: column;
  gap: 16px 0;
  margin-top: 16px;
}
.checkout-pay-inf .case-inf {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  gap: 0 16px;
}
.checkout-pay-inf .case-inf > svg {
  flex-shrink: 0;
  width: 32px;
  height: 32px;
}
.checkout-pay-inf .wrap-inf-c p {
  font-family: "Manrope", sans-serif;
  font-weight: 500;
  font-size: 14px;
  line-height: 140%;
  letter-spacing: -0.01em;
  color: #949494;
}
.checkout-pay-inf .wrap-inf-c > p:first-of-type {
  margin-bottom: 4px;
  color: #171717;
  font-weight: 700;
}
.e-cart-totals.e-cart-section {
  background-color: unset !important;
  border-radius: unset !important;
  padding: unset !important;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px 0;
}
.cart-collaterals {
  border-radius: 16px;
  padding: 20px;
  background-color: #fff;
}
.checkout-after-contacts {
  display: flex;
  flex-direction: column;
  gap: 8px 0;
  align-items: center;
}
.checkout-after-contacts p,
.checkout-after-contacts a {
  font-family: "Manrope";
  font-weight: 600;
  font-size: 14px;
  line-height: 140%;
  letter-spacing: -0.02em;
  text-align: center;
  color: #171717;
}
.checkout-after-contacts > p:first-of-type {
  font-weight: 700;
  font-size: 12px;
}

.checkout-after-contacts a {
  display: flex;
  overflow-x: clip;
  position: relative;
  cursor: pointer;
  width: fit-content;
}
.checkout-after-contacts a::before {
  content: "";
  inset: 0;
  pointer-events: none;
  border-bottom: 1px solid #171717;
  position: absolute;
  transition: translate 0.2s ease-out;
}

.woocommerce-cart .wc-proceed-to-checkout {
  order: 10;
}
.woocommerce-cart .wc-proceed-to-checkout::before,
.woocommerce-cart .wc-proceed-to-checkout::after {
  content: unset !important;
}
.mob.checkout-pay-inf {
  display: none;
}
.cart-h-m {
  display: none;
}
.cart-to-back .elementor-widget-container:has(svg) {
  display: flex;
}

.coupon .wrap-input-c {
  display: flex;
  position: relative;
  flex-grow: 1;
}
.coupon .wrap-input-c .clear_coupon {
  opacity: 0;
  pointer-events: none;
  top: 0;
  bottom: 0;
  margin: auto;
  right: 14px;
  position: absolute;
  transition: opacity 0.2s ease-out;
  cursor: pointer;
}
.coupon .wrap-input-c .clear_coupon.active {
  opacity: 1;
  pointer-events: all;
}
.coupon .wrap-input-c .clear_coupon path {
  transition: stroke 0.2s ease-out;
}
.coupon .input-coupon {
  display: flex;
  flex-direction: row;
  gap: 4px;
  margin-top: 8px;
}
#cart_totals .coupon input {
  background-color: #fff;
  border-radius: 8px;
  border: 1px solid #e8e8e8;
  width: 100%;
  height: 42px;
  outline: none !important;

  font-family: "Manrope", sans-serif;
  font-weight: 600;
  font-size: 14px;
  line-height: 100%;
  letter-spacing: -0.02em;
  color: #e8e8e8;

  transition: border 0.2s ease-out, color 0.2s ease-out;
}
#cart_totals .coupon input.no-active {
  pointer-events: none;
}
#cart_totals .coupon .apply-coupon {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #f0f0f0;
  border-radius: 8px;
  width: 109px;
  height: 42px;
  flex-shrink: 0;
  cursor: pointer;
  transition: background-color 0.2s ease-out;

  font-family: "Manrope", sans-serif;
  font-weight: 600;
  font-size: 14px;
  line-height: 100%;
  letter-spacing: -0.02em;
  text-align: center;
  color: #171717;
}
#cart_totals .coupon input:focus-visible,
#cart_totals .coupon input:focus {
  border-color: #171717;
  color: #171717;
}
#cart_totals .coupon input:not(:placeholder-shown) {
  color: #171717;
}

.coupon-collback {
  font-family: "Manrope", sans-serif;
  font-weight: 600;
  font-size: 12px;
  line-height: 140%;
  letter-spacing: -0.01em;
  color: #171717;
  margin-top: 8px;
}
.coupon-collback.error {
  color: #ff2f2f;
}
.coupon-collback.success {
  color: #45dd58;
}

.coupon-collback-wrap .coupon-collback {
  min-height: 0;
}
.coupon-collback-wrap {
  width: 100%;
  transition: opacity 0.3s ease-out, grid-template-rows 0.3s ease-out;
  display: grid;
  grid-template-rows: 1fr;
  overflow: hidden;
}

.mobile-to-checkout {
  display: grid !important;
  grid-template-rows: 1fr;
  overflow: hidden !important;
  transition: opacity 0.3s ease-out, grid-template-rows 0.3s !important;
}
.mobile-to-checkout > div {
  min-height: 0;
}
.hide-mobile-t-c {
  opacity: 0;
  pointer-events: none;
  grid-template-rows: 0fr;
}

@media (hover: hover) {
  .checkout-after-contacts a:hover::before,
  .checkout-after-contacts p:hover:last-of-type::before {
    translate: -105% 0;
  }

  #cart_totals .wc-proceed-to-checkout a:hover {
    background-color: #ab4cf7;
  }
  #cart_totals .coupon .apply-coupon:hover {
    background-color: #e2e2e2;
  }
  .checkout-promo-inf a:hover {
    opacity: 0.8;
  }
}

@media (max-width: 1024px) {
  .e-cart__column.e-cart__column-start {
    width: 100%;
  }

  .elementor-widget-woocommerce-cart .wrap-cart .product-name {
    width: 243px;
  }
  .elementor-widget-woocommerce-cart .wrap-cart .cart-quantity {
    width: 55px;
  }
  .elementor-widget-woocommerce-cart .wrap-cart .wrap-managemt {
    width: 68px;
  }

  .woocommerce .e-cart__container {
    flex-direction: column !important;
    gap: 0 16px !important;
  }

  #cart_totals .checkout-promo-inf {
    margin-top: 0;
  }

  #cart_totals .checkout-pay-inf {
    display: none;
  }
  .mob.checkout-pay-inf {
    display: flex;
    flex-direction: row;
    gap: 0 8px;
    margin-top: 20px;
    padding: 0 16px;
  }
  .mob.checkout-pay-inf .swiper-wrapper {
    display: flex;
    gap: 0 8px;
  }
  .checkout-pay-inf .case-inf {
    gap: 0 8px;
    width: 100%;
    border-radius: 8px;
    border: 1px solid #eaeaea;
    flex-shrink: 1;
    padding: 16px;
    height: auto;
  }
  .checkout-pay-inf .wrap-inf-c p {
    font-size: 12px;
  }
  .checkout-pay-inf .wrap-inf-c > p:first-of-type {
    font-size: 14px;
  }

  .checkout-after-contacts p,
  .checkout-after-contacts a {
    font-size: 14px;
  }
  .checkout-after-contacts > p:first-of-type {
    font-size: 12px;
  }

  #cart_totals .coupon {
    width: 50%;
  }

  .woocommerce .e-cart__container {
    padding: 0 16px;
    margin-top: 16px;
  }
  .cart-h-m {
    display: flex;
    font-family: "Manrope", sans-serif;
    font-weight: 700;
    font-size: 24px;
    line-height: 120%;
    letter-spacing: -0.02em;
    color: #171717;
    margin-bottom: 16px;
  }

  #cart_totals .shop_table.shop_table_responsive {
    display: flex;
    flex-direction: column;
  }
  #cart_totals .order-total {
    order: 6;
    margin-top: 16px;
  }
  #cart_totals .cart-discount {
    order: 7;
  }
}
.wssaa {
  display: flex;
  width: fit-content;
}

@media (max-width: 767px) {
  .wssaa {
    width: 100%;
    justify-content: end;
  }

  .elementor-widget-woocommerce-cart .wrap-cart {
    display: flex;
    flex-direction: row;
    gap: 0 16px;
    align-items: unset;
    flex-wrap: wrap;
  }
  .elementor-widget-woocommerce-cart .wrap-cart .product-thumbnail img {
    width: 136px;
    height: 67px;
  }

  .elementor-widget-woocommerce-cart .wrap-cart .product-name a {
    font-size: 14px;
  }
  .elementor-widget-woocommerce-cart .wrap-cart .product-name {
    width: calc(100% - 136px - 16px);
  }
  .elementor-widget-woocommerce-cart .wrap-cart .cart-quantity {
    gap: 0 8px;
    width: 55px;
  }
  .elementor-widget-woocommerce-cart .wrap-cart .product-price {
    font-size: 16px !important;
    width: 60px;
    text-align: start;
    align-items: center;
    display: flex;
  }
  .elementor-widget-woocommerce-cart .wrap-cart .wrap-managemt {
    width: 100%;
    margin-top: 8px;
  }

  .woocommerce .e-cart__container {
    flex-direction: column !important;
    gap: 16px 0 !important;
  }

  body > #brevo-conversations.brevo-conversations:not(.hide-mobile-t-c_bredo) {
    bottom: 39.438vw !important;
  }

  #cart_totals .order-total {
    font-size: 16px;
  }

  #cart_totals .wc-proceed-to-checkout a {
    font-size: 14px;
  }
  #cart_totals .wc-proceed-to-checkout p {
    font-size: 12px;
  }

  .mob.checkout-pay-inf {
    margin-top: 16px;
  }
  .mob.checkout-pay-inf .swiper-wrapper {
    gap: 0;
  }
  .checkout-pay-inf .case-inf {
    flex-shrink: 0;
    padding: 8px;
    width: 219px;
  }
  .elementor-widget-wrap.elementor-element-populated > .open-chat {
    width: 100%;
    overflow: hidden;
  }

  .cart-collaterals {
    padding: 16px;
  }

  #cart_totals .coupon {
    width: 100%;
  }

  #cart_totals .coupon input {
    font-size: 12px;
  }
  #cart_totals .coupon .apply-coupon {
    width: 96px;
    height: 40px;
    font-size: 12px;
  }

  .cart-discount .coupon-w p {
    font-family: "Manrope", sans-serif;
    font-weight: 500;
    font-size: 14px;
    line-height: 140%;
    letter-spacing: -0.01em;
    color: #949494;
  }
  .woocommerce .e-cart__container {
    padding: 0;
  }
  .woocommerce-cart-form > .e-shop-table {
    padding: 16px !important;
  }

  .elementor-widget-woocommerce-cart .wrap-cart .wrap-to-mobile {
    align-items: unset;
    flex-direction: row;
    display: flex;
    flex-wrap: wrap;
    align-items: unset;
  }
  .product-name {
    width: 100% !important;
    grid-column: span 2;
  }
  .wrap-main-cart .wrap-cart,
  .elementor-widget-woocommerce-cart .wrap-cart .wrap-to-mobile {
    display: grid;
    grid-template-columns: auto 1fr;
    grid-template-rows: 1fr auto;
  }

  .wrap-main-cart .wrap-managemt {
    grid-column: 2;
    grid-row: 2;
  }

  .cart-quantity {
    grid-column: 2;
    grid-row: 2;
  }
  .product-price {
    grid-column: 1;
    grid-row: 2;
  }

  body > #brevo-conversations {
    bottom: 145px !important;
  }

  .cart-to-back svg {
    width: 32px;
    height: 32px;
  }
}
